#include <ST7032_asukiaaa.h> //подключили библиотеку для работы с дисплеем
ST7032_asukiaaa lcd;        //объявили объект lcd типа дисплей 

int16_t ADC = 0;              // переменная, где хранится значение, считанное АЦП 

void setup() {
  Serial.begin(115200);
  lcd.begin(16, 2); // указали, что в дисплее 16 столбцов и 2 строки
  lcd.setContrast(50); // задали контраст

  digitalWrite(25,0);
}
 
void loop() {
 
  dacWrite(25, 0);  //выдать на 25 пин значение сигнала ЦАП, при входном коде 0 
  lcd.clear();        //очистить дисплей
  lcd.setCursor(0, 0);   //выставили курсор печати на 0 столбец 0 строки
  lcd.print("DAC 0 "); //выводим значение надписи в кавычках
  ADC = analogRead(36);    //считываем аналоговый сигнал с 36 пина с помощью АЦП
  lcd.setCursor(0, 1);
  lcd.print("ADC ");
  lcd.print(ADC);
  delay(3000);
 
  dacWrite(25, 64);
  lcd.clear();
  lcd.setCursor(0, 0); 
  lcd.print("DAC 64 ");
  ADC = analogRead(36);
  lcd.setCursor(0, 1);
  lcd.print("ADC ");
  lcd.print(ADC);
  Serial.println(ADC); 
  delay(3000);
 
  dacWrite(25, 128);
  lcd.clear();
  lcd.setCursor(0, 0); 
  lcd.print("DAC 128 ");
  ADC = analogRead(36);
  lcd.setCursor(0, 1);
  lcd.print("ADC ");
  lcd.print(ADC);
  Serial.println(ADC); 
  delay(3000);
 
  dacWrite(25, 192);
  lcd.clear();
  lcd.setCursor(0, 0); 
  lcd.print("DAC 192 ");
  ADC = analogRead(36);
  lcd.setCursor(0, 1);
  lcd.print("ADC ");
  lcd.print(ADC);
  Serial.println(ADC); 
  delay(3000);
 
  dacWrite(25, 255);
  lcd.clear();
  lcd.setCursor(0, 0); 
  lcd.print("DAC 255 ");
  ADC = analogRead(36);
  lcd.setCursor(0, 1);
  lcd.print("ADC ");
  lcd.print(ADC);
  Serial.println(ADC); 
  delay(3000);
}
